#ifndef FILE_PERDROPTIONS_H
#define FILE_PERDROPTIONS_H

typedef struct
{
  bool showBytes;
  bool disableP3;
  bool disable3DNow;
  bool disableEnh3DNow;
  bool disableAthlon;
  bool showVersion;
  bool showHelp;
  bool showPriority;
  bool rawDumping;
  bool extractIconRes;
  // part to shoh, if none setted show all
  bool showHeaders;
  bool showImports;
  bool showRelocations;
  bool showExports;
  bool showResources;
  bool showCode;
  vma_t addrStart;
  vma_t addrEnd;
} PeRdrOption;

// ritorna numero argomento (>0) non opzione se successo
// ritorna opposto numero argomento (<0) se opzione non corretta
// ritorna 0 se insieme di opzioni non valide
int ReadOptions(int argc,char** argv);

extern PeRdrOption options;

#endif //FILE_PERDROPTIONS_H
